Node('ah2700.addon.sea.psi.ch',
     'Andeen Hagerlin 2700 Capacitance Bridge using SEA',
)

sea_cfg='ah2700.addon'

Mod('sea_addons',
    'frappy_psi.sea.SeaClient',
    'SEA connection to mbe_ah2700',
    config='ah2700.addon',
    export=False,
    service='addons',
)

Mod('ah',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    sea_object='cap',
    extra_modules = ['cap', 'loss', 'freq']
)

Mod('cap',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='ah.cap',
    value=Param(fmtstr='%.12g'),
)

Mod('loss',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    single_module='ah.loss',
)

Mod('freq',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_addons',
    single_module='ah.freq',
)

Mod('capslope',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_addons',
    sea_object='capslope',
)
